## ros-humble-examples-rclcpp-minimal-timer 0.15.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(examples_rclcpp_minimal_timer)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)

add_executable(timer_lambda lambda.cpp)
ament_target_dependencies(timer_lambda rclcpp)

add_executable(timer_member_function member_function.cpp)
ament_target_dependencies(timer_member_function rclcpp)

install(TARGETS
  timer_lambda
  timer_member_function
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-examples-rclcpp-minimal-timer (0.15.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.15.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.14.0-1jammy) jammy; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.13.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.12.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 05 Aug 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.11.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.11.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 12 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.11.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.3-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.1-1jammy) jammy; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.0-1jammy) jammy; urgency=high

  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 21 Sep 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.9.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.9.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.9.0-1jammy) jammy; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.8.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.8.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 24 Oct 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.3-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.1-1jammy) jammy; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Contributors: William Woodall

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.6.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Feb 2019 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.6.0-1jammy) jammy; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.5.1-1jammy) jammy; urgency=high

  * make Mikael Arguedas the maintainer (#212 <https://github.com/ros2/examples/issues/212>)
  * Contributors: Mikael Arguedas

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.5.0-1jammy) jammy; urgency=high

  * Merge pull request #198 <https://github.com/ros2/examples/issues/198> from youtalk/include-chrono-if-using-chrono-literals
    Add #include <chrono> if using std::chrono_literals
  * include chrono if using chrono_literals
  * Contributors: Mikael Arguedas, Yutaka Kondo

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 Jun 2018 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.4.0-1jammy) jammy; urgency=high

  * Use logging (#190 <https://github.com/ros2/examples/issues/190>)
  * 0.0.3
  * call shutdown before exiting (#179 <https://github.com/ros2/examples/issues/179>)
  * 0.0.2
  * rename executables with shorter names (#177 <https://github.com/ros2/examples/issues/177>)
  * install executables in package specific path #173 <https://github.com/ros2/examples/issues/173>
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * add pedantic flag
  * print hello world from timer callbacks (#159 <https://github.com/ros2/examples/issues/159>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Morgan Quigley

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-timer//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-examples-rclcpp-minimal-timer 0.15.2

=== debian/changelog ===
ros-humble-examples-rclcpp-minimal-timer (0.15.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.15.1-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.15.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.14.0-1bookworm) bookworm; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.13.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.12.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 04 Aug 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.11.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.11.1-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.11.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.3-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.1-1bookworm) bookworm; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.10.0-1bookworm) bookworm; urgency=high

  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.9.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.9.1-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.9.0-1bookworm) bookworm; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.8.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.8.1-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 23 Oct 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.3-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.1-1bookworm) bookworm; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Contributors: William Woodall

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.7.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.6.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Feb 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.6.0-1bookworm) bookworm; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 19 Nov 2018 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.5.1-1bookworm) bookworm; urgency=high

  * make Mikael Arguedas the maintainer (#212 <https://github.com/ros2/examples/issues/212>)
  * Contributors: Mikael Arguedas

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 Jun 2018 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.5.0-1bookworm) bookworm; urgency=high

  * Merge pull request #198 <https://github.com/ros2/examples/issues/198> from youtalk/include-chrono-if-using-chrono-literals
    Add #include <chrono> if using std::chrono_literals
  * include chrono if using chrono_literals
  * Contributors: Mikael Arguedas, Yutaka Kondo

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jun 2018 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-timer (0.4.0-1bookworm) bookworm; urgency=high

  * Use logging (#190 <https://github.com/ros2/examples/issues/190>)
  * 0.0.3
  * call shutdown before exiting (#179 <https://github.com/ros2/examples/issues/179>)
  * 0.0.2
  * rename executables with shorter names (#177 <https://github.com/ros2/examples/issues/177>)
  * install executables in package specific path #173 <https://github.com/ros2/examples/issues/173>
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * add pedantic flag


=== debian/control ===
Source: ros-humble-examples-rclcpp-minimal-timer
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-examples-rclcpp-minimal-timer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-ros-workspace
Description: Examples of minimal nodes which have timers

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-timer//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-timer//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-timer//opt/ros/humble/opt/examples_rclcpp_minimal_timer/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
